//
//  BookmarkIcon.swift
//  gloss
//
//  Created by Saint on 6/4/24.
//

import Foundation
import SwiftUI

struct BookmarkIcon: Shape {
    func path(in rect: CGRect) -> Path {
        var path = Path()
        let width = rect.size.width
        let height = rect.size.height
        path.move(to: CGPoint(x: 0.75*width, y: 0.08333*height))
        path.addLine(to: CGPoint(x: 0.25*width, y: 0.08333*height))
        path.addLine(to: CGPoint(x: 0.25*width, y: 0.16667*height))
        path.addLine(to: CGPoint(x: 0.74998*width, y: 0.16667*height))
        path.addLine(to: CGPoint(x: 0.74998*width, y: 0.83333*height))
        path.addLine(to: CGPoint(x: 0.66666*width, y: 0.83333*height))
        path.addLine(to: CGPoint(x: 0.66666*width, y: 0.75*height))
        path.addLine(to: CGPoint(x: 0.58332*width, y: 0.75*height))
        path.addLine(to: CGPoint(x: 0.58332*width, y: 0.66667*height))
        path.addLine(to: CGPoint(x: 0.41666*width, y: 0.66667*height))
        path.addLine(to: CGPoint(x: 0.41666*width, y: 0.75*height))
        path.addLine(to: CGPoint(x: 0.33332*width, y: 0.75*height))
        path.addLine(to: CGPoint(x: 0.33332*width, y: 0.83333*height))
        path.addLine(to: CGPoint(x: 0.24999*width, y: 0.83333*height))
        path.addLine(to: CGPoint(x: 0.24999*width, y: 0.08334*height))
        path.addLine(to: CGPoint(x: 0.16666*width, y: 0.08334*height))
        path.addLine(to: CGPoint(x: 0.16666*width, y: 0.91667*height))
        path.addLine(to: CGPoint(x: 0.24999*width, y: 0.91667*height))
        path.addLine(to: CGPoint(x: 0.24999*width, y: 0.91667*height))
        path.addLine(to: CGPoint(x: 0.33332*width, y: 0.91667*height))
        path.addLine(to: CGPoint(x: 0.33332*width, y: 0.83333*height))
        path.addLine(to: CGPoint(x: 0.41666*width, y: 0.83333*height))
        path.addLine(to: CGPoint(x: 0.41666*width, y: 0.75*height))
        path.addLine(to: CGPoint(x: 0.58332*width, y: 0.75*height))
        path.addLine(to: CGPoint(x: 0.58332*width, y: 0.83333*height))
        path.addLine(to: CGPoint(x: 0.66666*width, y: 0.83333*height))
        path.addLine(to: CGPoint(x: 0.66666*width, y: 0.91667*height))
        path.addLine(to: CGPoint(x: 0.74998*width, y: 0.91667*height))
        path.addLine(to: CGPoint(x: 0.74998*width, y: 0.91667*height))
        path.addLine(to: CGPoint(x: 0.83331*width, y: 0.91667*height))
        path.addLine(to: CGPoint(x: 0.83331*width, y: 0.08334*height))
        path.addLine(to: CGPoint(x: 0.75*width, y: 0.08334*height))
        path.addLine(to: CGPoint(x: 0.75*width, y: 0.08333*height))
        path.closeSubpath()
        return path
    }
}
